## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) apt_preferences

[![Travis CI](http://img.shields.io/travis/debops/ansible-apt_preferences.svg?style=flat)](http://travis-ci.org/debops/ansible-apt_preferences) [![test-suite](http://img.shields.io/badge/test--suite-ansible--apt__preferences-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-apt_preferences/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.apt__preferences-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1552)

[APT preferences](https://wiki.debian.org/AptPreferences)
can be used to influence package selection performed by
APT during installation or upgrades. You can for example tell APT that you
prefer packages from certain repositories or want to hold a package on
a particular version no matter what (among other things).

By default, if you don't specify version or provide custom pin configuration,
`debops.apt_preferences` role will configure specified packages to be installed from
backports repository of the current OS release.

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.apt_preferences

### Documentation

More information about `debops.apt_preferences` can be found in the
[official debops.apt_preferences documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-apt_preferences/docs/).



### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`apt_preferences` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
