## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) backporter

[![Travis CI](http://img.shields.io/travis/debops/ansible-backporter.svg?style=flat)](http://travis-ci.org/debops/ansible-backporter) [![test-suite](http://img.shields.io/badge/test--suite-ansible--backporter-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-backporter/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.backporter-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1554)

This is a helper Ansible role which allows you to ensure that Debian
packages with certain versions are available on your hosts. If requested
version is not available in currently configured APT repositories (for
example `wheezy` and `wheezy-backports` from official Debian archives),
`backporter`, if properly configured, will try to build and install
required version from `testing` repository.

If successful, newly built backported packages will be uploaded to Ansible
Controller host which then can make these packages available to the rest of the
Ansible cluster using `debops.reprepro` role to create and maintain local APT
repository.

`debops.backporter` role is based on instructions from
[Simple Backport Creation HOWTO](https://wiki.debian.org/SimpleBackportCreation).
`rmadison` utility from `devscripts` package is used to check available
Debian packages, and depends on availability of
[Debian QA Madison](https://qa.debian.org/madison.php) service.

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.backporter

### Documentation

More information about `debops.backporter` can be found in the
[official debops.backporter documentation](http://docs.debops.org/en/latest/ansible/roles/debops.backporter.html).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`backporter` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
