## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) dhparam

[![Travis CI](http://img.shields.io/travis/debops/ansible-dhparam.svg?style=flat)](http://travis-ci.org/debops/ansible-dhparam) [![test-suite](http://img.shields.io/badge/test--suite-ansible--dhparam-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-dhparam/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.dhparam-660198.svg?style=flat)](https://galaxy.ansible.com/detail#/role/5691)

[Diffie-Hellman Key Exchange][] is a way to securely share encryption keys
publicly between two parties. It's used in TLS and SSL connections to
provide [Perfect Forward Secrecy][]. Unfortunately, the default DH parameters
distributed with applications are susceptible to a [downgrade attack][].

The `debops.dhparam` Ansible role will generate a set of strong
Diffie-Hellman parameters on the Ansible Controller, which will be preseeded on
remote hosts, and will be ready to use by other applications. A separate
script can then be used on remote hosts in the background to generate new
random DH parameters, either once or in regular intervals.

[Diffie-Hellman Key Exchange]: https://en.wikipedia.org/wiki/Diffie%E2%80%93Hellman_key_exchange
[Perfect Forward Secrecy]: https://en.wikipedia.org/wiki/Forward_secrecy
[downgrade attack]: https://weakdh.org/

### Installation

This role requires at least Ansible `v1.9.0`. To install it, run:

    ansible-galaxy install debops.dhparam

### Documentation

More information about `debops.dhparam` can be found in the
[official debops.dhparam documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-dhparam/docs/).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`dhparam` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
