## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) dovecot

[![Travis CI](http://img.shields.io/travis/debops/ansible-dovecot.svg?style=flat)](http://travis-ci.org/debops/ansible-dovecot) [![test-suite](http://img.shields.io/badge/test--suite-ansible--dovecot-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-dovecot/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.dovecot-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/3271)

This [Ansible](http://ansible.com/) role allows you to install and manage
the [Dovecot](http://dovecot.org/) IMAP/POP3 server to allow remote access
to your mail boxes. It integrates with the
[debops.pki](https://github.com/debops/ansible-pki/) Ansible role, so you
can easily protect your access via secure TLS connection.

Additionally it allows you to configure a [sieve](http://sieve.info/)
service which can be used to store server-side rules for mail filtering.

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.dovecot

### Documentation

More information about `debops.dovecot` can be found in the
[official debops.dovecot documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-dovecot/docs/).


### Role dependencies

- `debops.ferm`
- `debops.postfix`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`dovecot` role was written by:
- Reto Gantenbein | [e-mail](mailto:reto.gantenbein@linuxmonk.ch) | [GitHub](https://github.com/ganto)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
