## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) elasticsearch

[![Travis CI](http://img.shields.io/travis/debops/ansible-elasticsearch.svg?style=flat)](http://travis-ci.org/debops/ansible-elasticsearch) [![test-suite](http://img.shields.io/badge/test--suite-ansible--elasticsearch-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-elasticsearch/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.elasticsearch-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1694)

`debops.elasticsearch` role allows you to easily setup infrastructure
capable of running Elasticsearch. Few features available in this role:

- seamless clustering
- easily pick node types through groups and also allow you to do it manually
- add/remove plugins and libs on demand, you can even set custom
  configuration to each plugin, check the defaults
- tweak pretty much everything that ES allows you to

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.elasticsearch

### Documentation

More information about `debops.elasticsearch` can be found in the
[official debops.elasticsearch documentation](http://docs.debops.org/en/latest/ansible/roles/debops.elasticsearch.html).


### Role dependencies

- `debops.ferm`
- `debops.etc_services`
- `debops.java`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`elasticsearch` role was written by:
- Nick Janetakis | [e-mail](mailto:nick.janetakis@gmail.com) | [Twitter](https://twitter.com/nickjanetakis) | [GitHub](https://github.com/nickjj)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
