## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) grub

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](http://img.shields.io/travis/debops/ansible-grub.svg?style=flat)](http://travis-ci.org/debops/ansible-grub) [![test-suite](http://img.shields.io/badge/test--suite-ansible--grub-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-grub/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.grub-660198.svg?style=flat)](https://galaxy.ansible.com/detail#/role/4952)

This Ansible role manages GRUB configuration. It detects kernel parameters
which are currently set (probably during installation). Autodetected
parameters can be merged or overwritten by Ansible variables.
It can also enable both Linux kernel and GRUB serial console.

Parameter autodetection with values that contain spaces is not supported.

Additionally, this role allows you to configure password protection for GRUB.

### Installation

This role requires at least Ansible `v1.7.1`. To install it, run:

```Shell
ansible-galaxy install debops.grub
```

### Documentation

More information about `debops.grub` can be found in the
[official debops.grub documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-grub/docs/).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`grub` role was written by:

- Patryk Sciborek | [e-mail](mailto:patryk@sciborek.com) | [GitHub](https://github.com/scibi)
- [Robin Schneider](http://ypid.de/) | [e-mail](mailto:ypid@riseup.net) | [Twitter](https://twitter.com/ypid) | [GitHub](https://github.com/ypid)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
