## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) ifupdown

[![Travis CI](http://img.shields.io/travis/debops/ansible-ifupdown.svg?style=flat)](http://travis-ci.org/debops/ansible-ifupdown) [![test-suite](http://img.shields.io/badge/test--suite-ansible--ifupdown-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-ifupdown/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.ifupdown-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1570)

This role can be used to manage network interface configuration on Debian
and derivative operating systems. It manages configuration in
the `/etc/network/` directory and can be used to create different
interface layouts across the cluster.

The `debops.ifupdown` role tries to recognize several environments (LXC
container, OpenVZ container, system with installed NetworkManager) and can
automatically select one of the suggested configurations. For most
scenarios, `debops.ifupdown` will try to configure up to two network
interfaces (non-existent interfaces are gracefully skipped) with network
bridges attached to them, which allows to easily connect virtual machines
or containers to the public or private network.

In case an advanced configuration is required (more than two network
interfaces, bonding, modem connections, NAT, etc.), you can easily override
the automatically selected configuration using Ansible inventory. This role can
also be used as a dependency of another role which allows for example to
easily manage NAT networks using the `debops.subnetwork` role.

Some features of interface declarations require additional packages.
One of those packages is `resolvconf` (as defined in `ifupdown_packages`)
which will start to manage your `/etc/resolv.conf` file.

### Installation

This role requires at least Ansible `v1.8.0`. To install it, run:

    ansible-galaxy install debops.ifupdown

### Documentation

More information about `debops.ifupdown` can be found in the
[official debops.ifupdown documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-ifupdown/docs/).




### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`ifupdown` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
