## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) libvirt

[![Travis CI](http://img.shields.io/travis/debops/ansible-libvirt.svg?style=flat)](http://travis-ci.org/debops/ansible-libvirt) [![test-suite](http://img.shields.io/badge/test--suite-ansible--libvirt-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-libvirt/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.libvirt-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/4554)

The `debops.libvirt` role can be used to manage networks and storage pools defined
in the [libvirt][] virtualization service. It's designed to be
used either "locally", directly on a given host, or "remotely" from a central
host through the API.

To configure a host to provide the `libvirtd` service you can use the `debops.libvirtd`
role.

[libvirt]: https://libvirt.org/

### Installation

This role requires at least Ansible `v1.9.0`. To install it, run:

    ansible-galaxy install debops.libvirt

### Documentation

More information about `debops.libvirt` can be found in the
[official debops.libvirt documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-libvirt/docs/).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`libvirt` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
