## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) lvm

[![Travis CI](http://img.shields.io/travis/debops/ansible-lvm.svg?style=flat)](http://travis-ci.org/debops/ansible-lvm) [![test-suite](http://img.shields.io/badge/test--suite-ansible--lvm-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-lvm/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.lvm-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/4402)

[Logical Volume
Manager](https://en.wikipedia.org/wiki/Logical_Volume_Manager_(Linux)) lets
you manage your disk space in a more elastic way, separating physical hard
disks from the logical volumes.

This Ansible role lets you configure `/etc/lvm/lvm.conf` configuration
file, as well as gives you a set of variables which can be used to manage
LVM logical volumes, automatically create filesystems on them and mount
them as needed.

### Installation

This role requires at least Ansible `v1.8.0`. To install it, run:

    ansible-galaxy install debops.lvm

### Documentation

More information about `debops.lvm` can be found in the
[official debops.lvm documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-lvm/docs/).



### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`lvm` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
