## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) lxc

[![Travis CI](http://img.shields.io/travis/debops/ansible-lxc.svg?style=flat)](http://travis-ci.org/debops/ansible-lxc) [![test-suite](http://img.shields.io/badge/test--suite-ansible--lxc-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-lxc/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.lxc-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1573)

`debops.lxc` role can be used to configure and manage LXC environment on
a host. Specifically, LXC 1.0 support will be installed on Ubuntu Trusty
and Debian Jessie, for Debian Wheezy, LXC 1.0 package will be backported
from Jessie using `debops.backporter` role and Linux kernel from
`wheezy-backports` will be installed for required kernel features (this
will require a reboot of the host).

You can use `debops.lxc` role to create and manage Linux Containers with
different configurations. These containers can be used on an external
interface (DHCP server is recommended) or on an internal NAT interface
(network will be configured by a specific play in DebOps, using
`debops.dnsmasq` and `debops.nat` roles).

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.lxc

### Documentation

More information about `debops.lxc` can be found in the
[official debops.lxc documentation](http://docs.debops.org/en/latest/ansible/roles/debops.lxc.html).


### Role dependencies

- `debops.apt_preferences`
- `debops.ferm`
- `debops.backporter`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`lxc` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
