## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) nfs

[![Travis CI](http://img.shields.io/travis/debops/ansible-nfs.svg?style=flat)](http://travis-ci.org/debops/ansible-nfs) [![test-suite](http://img.shields.io/badge/test--suite-ansible--nfs-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-nfs/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.nfs-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1579)

`debops.nfs` role manages a NFS server. It can automatically configure
``iptables`` firewall using
[debops.ferm](https://github.com/debops/ansible-ferm/) role and reserve ports
for services required by NFS using
[debops.etc_services](https://github.com/debops/ansible-etc_services/) role.
You can also modify default list of exported directories and use host Access
Control Lists using Ansible inventory. Clients which connect to NFS are
configured separately.

### Installation

This role requires at least Ansible `v1.8.0`. To install it, run:

    ansible-galaxy install debops.nfs

### Documentation

More information about `debops.nfs` can be found in the
[official debops.nfs documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-nfs/docs/).


### Role dependencies

- `debops.ferm`
- `debops.etc_services`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`nfs` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
