## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) ntp

[![Travis CI](http://img.shields.io/travis/debops/ansible-ntp.svg?style=flat)](http://travis-ci.org/debops/ansible-ntp) [![test-suite](http://img.shields.io/badge/test--suite-ansible--ntp-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-ntp/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.ntp-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1582)

`debops.ntp` role can be used to install
[OpenNTPD](http://www.openntpd.org/) or [NTP](http://ntp.org/) time server
which will be used both to synchronize time on a host and serve accurate time
information for other hosts (if enabled). This role can also manage timezone
settings using `tzdata` Debian package.

Time server will not be installed in an LXC or OpenVZ container, because
time synchronization in this case is provided by the host operating system.

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.ntp

### Documentation

More information about `debops.ntp` can be found in the
[official debops.ntp documentation](http://docs.debops.org/en/latest/ansible/roles/debops.ntp.html).


### Role dependencies

- `debops.ferm`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`ntp` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
