## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) redis

[![Travis CI](http://img.shields.io/travis/debops/ansible-redis.svg?style=flat)](http://travis-ci.org/debops/ansible-redis) [![test-suite](http://img.shields.io/badge/test--suite-ansible--redis-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-redis/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.redis-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1592)

`debops.redis` role allows you to easily setup infrastructure capable of
running and managing 1 or more Redis servers. It is completely self healing
with Redis Sentinel and supports replication seamlessly.

Few features available in this role:

- seamless master/slave replication;
- throw together a master + n slaves + n sentinel setup in about 10 lines of YAML
  (most of those lines would be adding your hosts to the inventory);
- your configs are idempotent, even when redis rewrites them;
- pretty much every redis config value is tweakable;
- you can easily use this role as a dependency in your other roles;

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.redis

### Documentation

More information about `debops.redis` can be found in the
[official debops.redis documentation](http://docs.debops.org/en/latest/ansible/roles/debops.redis.html).


### Role dependencies

- `debops.ferm`
- `debops.etc_services`
- `debops.secret`
- `debops.apt_preferences`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`redis` role was written by:
- Nick Janetakis | [e-mail](mailto:nick.janetakis@gmail.com) | [Twitter](https://twitter.com/nickjanetakis) | [GitHub](https://github.com/nickjj)
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
