## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) rsnapshot

[![Travis CI](http://img.shields.io/travis/debops/ansible-rsnapshot.svg?style=flat)](http://travis-ci.org/debops/ansible-rsnapshot) [![test-suite](http://img.shields.io/badge/test--suite-ansible--rsnapshot-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-rsnapshot/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.rsnapshot-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/2937)

The `debops.rsnapshot` role allows you to manage a backup host which will use
[rsnapshot](http://www.rsnapshot.org/) to create remote backups of other
hosts. You can let Ansible configure both the central backup "clients",
which run `rsnapshot` and store backups, as well as the "servers" which the
clients connect to, which run `rsync` in read-only mode on `root` accounts.

You can also configure `rsnapshot` clients to backup external hosts which
are not managed by Ansible, but you will need to set up the connection (SSH
access, `rrsync` script) yourself on the server side.

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.rsnapshot

### Documentation

More information about `debops.rsnapshot` can be found in the
[official debops.rsnapshot documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-rsnapshot/docs/).



### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`rsnapshot` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
