## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) ruby

[![Travis CI](http://img.shields.io/travis/debops/ansible-ruby.svg?style=flat)](http://travis-ci.org/debops/ansible-ruby) [![test-suite](http://img.shields.io/badge/test--suite-ansible--ruby-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-ruby/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.ruby-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1595)

`debops.ruby` role installs selected Ruby version via APT package manager.
By default APT picks the Ruby packages to install automatically - if you
have backported Ruby 2.1 packages, they will be installed if available; if
you don't have them, `debops.ruby` will install current Ruby packages
available on your system.

If you want to install Ruby 2.1 packages on Debian Wheezy, set
`ruby_version: 'backport'` in your inventory and this role will use
`debops.backporter` role to automatically backport all required packages
from Debian Jessie. These packages will be installed on the build host and
uploaded to Ansible Controller to a specific directory, where
`debops.reprepro` role can find them and automatically import them to local
APT repository, at which point these packages will become available to all
hosts in a cluster.

This role will also install gems from [RubyGems](http://rubygems.org/)
specified in a list.

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.ruby

### Documentation

More information about `debops.ruby` can be found in the
[official debops.ruby documentation](http://docs.debops.org/en/latest/ansible/roles/debops.ruby.html).


### Role dependencies

- `debops.apt_preferences`
- `debops.backporter`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`ruby` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
