## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) sftpusers

[![Travis CI](http://img.shields.io/travis/debops/ansible-sftpusers.svg?style=flat)](http://travis-ci.org/debops/ansible-sftpusers) [![test-suite](http://img.shields.io/badge/test--suite-ansible--sftpusers-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-sftpusers/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.sftpusers-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1599)

`debops.sftpusers` role can be used to create and manage user accounts
which have system access restricted to SFTP only.

Access to SFTPonly accounts is allowed only using SSH public keys, but
users cannot manage their own keys. Instead, sshd server uses keys from
`/etc/ssh/authorized_keys/<user>` for authorization. Use
`debops.sshkeys` role to manage these keys separately.

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.sftpusers

### Documentation

More information about `debops.sftpusers` can be found in the
[official debops.sftpusers documentation](http://docs.debops.org/en/latest/ansible/roles/debops.sftpusers.html).


### Role dependencies

- `debops.auth`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`sftpusers` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
