## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) sks

[![Travis CI](http://img.shields.io/travis/debops/ansible-sks.svg?style=flat)](http://travis-ci.org/debops/ansible-sks) [![test-suite](http://img.shields.io/badge/test--suite-ansible--sks-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-sks/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.sks-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1600)

[SKS Keyserver](http://sks-keyservers.net/) is an OpenPGP/GnuPG key server.
This role allows you to install and manage one or more keyservers in
a cluster. Specified host (by default first host in `[debops_sks]`
Ansible group) will also be configured as a web frontend to the cluster
(`nginx` will be used as the frontend webserver).

You can use `debops.sks` role to create your own keyserver pool (and in
extension your own OpenPGP Web of Trust) or
[connect to an existing pool](http://www.keysigning.org/sks/).
In the latter case, role supports an option to not initialize the database
by default, in which case you can seed your local key database from
a keyserver dump (which is a preferred option of connecting to the existing
pool because of the size of existing key database dumps).

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.sks

### Documentation

More information about `debops.sks` can be found in the
[official debops.sks documentation](http://docs.debops.org/en/latest/ansible/roles/debops.sks.html).


### Role dependencies

- `debops.ferm`
- `debops.etc_services`
- `debops.apt_preferences`
- `debops.nginx`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`sks` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
