## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) tcpwrappers

[![Travis CI](http://img.shields.io/travis/debops/ansible-tcpwrappers.svg?style=flat)](http://travis-ci.org/debops/ansible-tcpwrappers) [![test-suite](http://img.shields.io/badge/test--suite-ansible--tcpwrappers-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-tcpwrappers/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.tcpwrappers-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1604)

This role can be used to manage
[TCP Wrappers](https://en.wikipedia.org/wiki/TCP\_Wrapper) rules located in
`/etc/hosts.allow` (by default all hosts will be denied access in
`/etc/hosts.deny`, but this can be disabled by a variable).

Other roles can use this role as a dependency to manage access to their own
services (for example, `debops.mysql`, `debops.sshd`).

By default, tcpwrappers will be configured to block access from everywhere
except `localhost` (relative to remote host) and Ansible Controller.

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

    ansible-galaxy install debops.tcpwrappers

### Documentation

More information about `debops.tcpwrappers` can be found in the
[official debops.tcpwrappers documentation](http://docs.debops.org/en/latest/ansible/roles/debops.tcpwrappers.html).



### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`tcpwrappers` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
