## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) tinc

[![Travis CI](http://img.shields.io/travis/debops/ansible-tinc.svg?style=flat)](http://travis-ci.org/debops/ansible-tinc) [![test-suite](http://img.shields.io/badge/test--suite-ansible--tinc-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-tinc/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.tinc-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/3855)

[tinc](http://tinc-vpn.org/) is a Virtual Private Network daemon, it can be
used to create encrypted and tunneled connections to other hosts, forming
a separate network, either a centralized one or a mesh.

`debops.tinc` Ansible role allows you to install and configure a mesh VPN
using `tinc`, including automatic public key exchange between all hosts in
Ansble inventory, connection to external hosts and secure configuration.

### Installation

This role requires at least Ansible `v2.0.0`. To install it, run:

    ansible-galaxy install debops.tinc

### Documentation

More information about `debops.tinc` can be found in the
[official debops.tinc documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-tinc/docs/).


### Role dependencies

- `debops.ferm`
- `debops.apt_preferences`
- `debops.ifupdown`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`tinc` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
