## [![DebOps project](http://debops.org/images/debops-small.png)](http://debops.org) users

[![Travis CI](http://img.shields.io/travis/debops/ansible-users.svg?style=flat)](http://travis-ci.org/debops/ansible-users) [![test-suite](http://img.shields.io/badge/test--suite-ansible--users-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-users/)  [![Ansible Galaxy](http://img.shields.io/badge/galaxy-debops.users-660198.svg?style=flat)](https://galaxy.ansible.com/list#/roles/1605)

This role can be used to manage user accounts (and user groups). You can
manage almost all aspects of the users' account, like UID/GID, home
directory, shell, etc. Accounts are configured using lists in Ansible
inventory, with separate lists for:

* admin accounts;
* global list of users created on each host in a cluster;
* list of users created on a group of hosts;
* list of users created on a specific host;

`debops.users` is meant as a simple way to create a few dozen accounts max,
for larger number of accounts its preferred to use a dedicated solution,
like an LDAP directory.

### Installation

This role requires at least Ansible `v1.8.0`. To install it, run:

    ansible-galaxy install debops.users

### Documentation

More information about `debops.users` can be found in the
[official debops.users documentation](http://docs.debops.org/en/latest/ansible/roles/debops.users.html).



### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://github.com/debops/debops) for a complete solution to run your Debian-based infrastructure.





### Authors and license

`users` role was written by:
- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of the [DebOps](http://debops.org/) project. README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
